package com.fs.aiob.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.aiob.domain.AiobBaiduCallApi;

import java.util.List;

/**
 * 百度外呼接口配置Mapper接口
 * 
 * @author fs
 * @date 2025-03-20
 */
public interface AiobBaiduCallApiMapper extends BaseMapper<AiobBaiduCallApi>{
    /**
     * 查询百度外呼接口配置
     * 
     * @param id 百度外呼接口配置主键
     * @return 百度外呼接口配置
     */
    AiobBaiduCallApi selectAiobBaiduCallApiById(Long id);

    /**
     * 查询百度外呼接口配置列表
     * 
     * @param aiobBaiduCallApi 百度外呼接口配置
     * @return 百度外呼接口配置集合
     */
    List<AiobBaiduCallApi> selectAiobBaiduCallApiList(AiobBaiduCallApi aiobBaiduCallApi);

    /**
     * 新增百度外呼接口配置
     * 
     * @param aiobBaiduCallApi 百度外呼接口配置
     * @return 结果
     */
    int insertAiobBaiduCallApi(AiobBaiduCallApi aiobBaiduCallApi);

    /**
     * 修改百度外呼接口配置
     * 
     * @param aiobBaiduCallApi 百度外呼接口配置
     * @return 结果
     */
    int updateAiobBaiduCallApi(AiobBaiduCallApi aiobBaiduCallApi);

    /**
     * 删除百度外呼接口配置
     * 
     * @param id 百度外呼接口配置主键
     * @return 结果
     */
    int deleteAiobBaiduCallApiById(Long id);

    /**
     * 批量删除百度外呼接口配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAiobBaiduCallApiByIds(Long[] ids);
}
