package com.fs.aiob.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.aiob.domain.AiobBaiduEncryption;

import java.util.List;

/**
 * 百度AI外呼加密Mapper接口
 * 
 * @author fs
 * @date 2025-03-20
 */
public interface AiobBaiduEncryptionMapper extends BaseMapper<AiobBaiduEncryption>{
    /**
     * 查询百度AI外呼加密
     * 
     * @param id 百度AI外呼加密主键
     * @return 百度AI外呼加密
     */
    AiobBaiduEncryption selectAiobBaiduEncryptionById(Long id);

    /**
     * 查询百度AI外呼加密列表
     * 
     * @param aiobBaiduEncryption 百度AI外呼加密
     * @return 百度AI外呼加密集合
     */
    List<AiobBaiduEncryption> selectAiobBaiduEncryptionList(AiobBaiduEncryption aiobBaiduEncryption);

    /**
     * 新增百度AI外呼加密
     * 
     * @param aiobBaiduEncryption 百度AI外呼加密
     * @return 结果
     */
    int insertAiobBaiduEncryption(AiobBaiduEncryption aiobBaiduEncryption);

    /**
     * 修改百度AI外呼加密
     * 
     * @param aiobBaiduEncryption 百度AI外呼加密
     * @return 结果
     */
    int updateAiobBaiduEncryption(AiobBaiduEncryption aiobBaiduEncryption);

    /**
     * 删除百度AI外呼加密
     * 
     * @param id 百度AI外呼加密主键
     * @return 结果
     */
    int deleteAiobBaiduEncryptionById(Long id);

    /**
     * 批量删除百度AI外呼加密
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAiobBaiduEncryptionByIds(Long[] ids);
}
