package com.fs.aiob.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.aiob.domain.AiobBaiduTask;

import java.util.List;

/**
 * 百度AI外呼任务Mapper接口
 * 
 * @author fs
 * @date 2025-03-20
 */
public interface AiobBaiduTaskMapper extends BaseMapper<AiobBaiduTask>{
    /**
     * 查询百度AI外呼任务
     * 
     * @param id 百度AI外呼任务主键
     * @return 百度AI外呼任务
     */
    AiobBaiduTask selectAiobBaiduTaskById(Long id);

    /**
     * 查询百度AI外呼任务列表
     * 
     * @param aiobBaiduTask 百度AI外呼任务
     * @return 百度AI外呼任务集合
     */
    List<AiobBaiduTask> selectAiobBaiduTaskList(AiobBaiduTask aiobBaiduTask);

    /**
     * 新增百度AI外呼任务
     * 
     * @param aiobBaiduTask 百度AI外呼任务
     * @return 结果
     */
    int insertAiobBaiduTask(AiobBaiduTask aiobBaiduTask);

    /**
     * 修改百度AI外呼任务
     * 
     * @param aiobBaiduTask 百度AI外呼任务
     * @return 结果
     */
    int updateAiobBaiduTask(AiobBaiduTask aiobBaiduTask);

    /**
     * 删除百度AI外呼任务
     * 
     * @param id 百度AI外呼任务主键
     * @return 结果
     */
    int deleteAiobBaiduTaskById(Long id);

    /**
     * 批量删除百度AI外呼任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAiobBaiduTaskByIds(Long[] ids);
}
