package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 充值对象 company_recharge
 * 
 * @author fs
 * @date 2023-02-27
 */
@Data
public class CompanyRecharge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long rechargeId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 充值订单号 */
    @Excel(name = "充值订单号")
    private String rechargeNo;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 状态 0未支付 1已支付 */
    @Excel(name = "状态 0未支付 1已支付")
    private Integer status;

    /** 支付类型 1微信 2支付宝 3人工转账 */
    @Excel(name = "支付类型 1微信 2支付宝 3人工转账")
    private Integer payType;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 提交人 */
    @Excel(name = "提交人")
    private Long createUserId;

    /** 审核状态 0待审核 1已审核 */
    @Excel(name = "审核状态 0待审核 1已审核")
    private Integer isAudit;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditUserId;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    private String remark;
    private String imgs;
}
