package com.fs.company.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 公司红包余额日志对象 company_red_package_logs
 *
 * @author 吴树波
 * @date 2025-04-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CompanyRedPackageLogs extends BaseEntity{

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 销售公司 */
    @Excel(name = "销售公司")
    private Long companyId;

    /** 操作类型;0充值1发红包 */
    @Excel(name = "操作类型;0充值1发红包")
    private Integer operateType;

    /** 类型;0增加1减少 */
    @Excel(name = "类型;0增加1减少")
    private Integer type;

    /** 充值金额 */
    @Excel(name = "充值金额")
    private BigDecimal upMoney;

    /** 手续费 */
    @Excel(name = "手续费")
    private BigDecimal handlMoney;

    /** 手续费比例 */
    @Excel(name = "手续费比例")
    private BigDecimal handlPri;

    /** 到账金额 */
    @Excel(name = "到账金额")
    private BigDecimal money;

    /** 状态;0待审核1审核通过2审核拒绝 */
    @Excel(name = "状态;0待审核1审核通过2审核拒绝")
    private Integer status;

    /** 凭证照片 */
    @Excel(name = "凭证照片")
    private String images;

    /** 拒绝愿意 */
    @Excel(name = "拒绝愿意")
    private String rejectMemo;

    /** 拒绝图片 */
    @Excel(name = "拒绝图片")
    private String rejectImages;

    @TableField(exist = false)
    private String companyName;


}
