package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Map;

/**
 * 企微账号对象 company_wx_account
 * 
 * @author fs
 * @date 2024-12-09
 */
@Data
public class CompanyWxAccount {

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 微信昵称 */
    @Excel(name = "微信昵称")
    private String wxNickName;

    /** 电话号码 */
    @Excel(name = "电话号码")
    private String phone;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wxNo;

    /** 销售人员ID */
    @Excel(name = "销售人员ID")
    private Long companyUserId;

    /** 销售人员ID */
    @Excel(name = "销售人员ID")
    private LocalDateTime addTime;

    /** 销售人员ID */
    @Excel(name = "销售人员ID")
    private LocalDateTime nextTime;

    /** 销售人员ID */
    @Excel(name = "销售人员ID")
    private Integer toDayNum;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createUser;

    @TableField(exist = false)
    private String companyUserName;
    /** 请求参数 */
    @TableField(exist = false)
    private Map<String, Object> params;
}
