package com.fs.company.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyRedPackageLogs;

/**
 * 公司红包余额日志Mapper接口
 * 
 * @author 吴树波
 * @date 2025-04-15
 */
public interface CompanyRedPackageLogsMapper extends BaseMapper<CompanyRedPackageLogs>{
    /**
     * 查询公司红包余额日志
     * 
     * @param id 公司红包余额日志主键
     * @return 公司红包余额日志
     */
    CompanyRedPackageLogs selectCompanyRedPackageLogsById(Long id);

    /**
     * 查询公司红包余额日志列表
     * 
     * @param companyRedPackageLogs 公司红包余额日志
     * @return 公司红包余额日志集合
     */
    List<CompanyRedPackageLogs> selectCompanyRedPackageLogsList(CompanyRedPackageLogs companyRedPackageLogs);

    /**
     * 新增公司红包余额日志
     * 
     * @param companyRedPackageLogs 公司红包余额日志
     * @return 结果
     */
    int insertCompanyRedPackageLogs(CompanyRedPackageLogs companyRedPackageLogs);

    /**
     * 修改公司红包余额日志
     * 
     * @param companyRedPackageLogs 公司红包余额日志
     * @return 结果
     */
    int updateCompanyRedPackageLogs(CompanyRedPackageLogs companyRedPackageLogs);

    /**
     * 删除公司红包余额日志
     * 
     * @param id 公司红包余额日志主键
     * @return 结果
     */
    int deleteCompanyRedPackageLogsById(Long id);

    /**
     * 批量删除公司红包余额日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCompanyRedPackageLogsByIds(Long[] ids);
}
