package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyWxChat;

import java.util.List;

/**
 * 个微聊天Mapper接口
 * 
 * @author fs
 * @date 2025-01-15
 */
public interface CompanyWxChatMapper extends BaseMapper<CompanyWxChat> {
    /**
     * 查询个微聊天
     * 
     * @param id 个微聊天主键
     * @return 个微聊天
     */
    public CompanyWxChat selectCompanyWxChatById(Long id);

    /**
     * 查询个微聊天列表
     * 
     * @param companyWxChat 个微聊天
     * @return 个微聊天集合
     */
    public List<CompanyWxChat> selectCompanyWxChatList(CompanyWxChat companyWxChat);

    /**
     * 新增个微聊天
     * 
     * @param companyWxChat 个微聊天
     * @return 结果
     */
    public int insertCompanyWxChat(CompanyWxChat companyWxChat);

    /**
     * 修改个微聊天
     * 
     * @param companyWxChat 个微聊天
     * @return 结果
     */
    public int updateCompanyWxChat(CompanyWxChat companyWxChat);

    /**
     * 删除个微聊天
     * 
     * @param id 个微聊天主键
     * @return 结果
     */
    public int deleteCompanyWxChatById(Long id);

    /**
     * 批量删除个微聊天
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCompanyWxChatByIds(Long[] ids);
}
