package com.fs.company.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.domain.CompanyVoiceRoboticCallees;

import java.util.List;

/**
 * 任务外呼电话Service接口
 * 
 * @author fs
 * @date 2024-12-04
 */
public interface ICompanyVoiceRoboticCalleesService extends IService<CompanyVoiceRoboticCallees> {
    /**
     * 查询任务外呼电话
     * 
     * @param id 任务外呼电话ID
     * @return 任务外呼电话
     */
    public CompanyVoiceRoboticCallees selectCompanyVoiceRoboticCalleesById(Long id);

    /**
     * 查询任务外呼电话列表
     * 
     * @param companyVoiceRoboticCallees 任务外呼电话
     * @return 任务外呼电话集合
     */
    public List<CompanyVoiceRoboticCallees> selectCompanyVoiceRoboticCalleesList(CompanyVoiceRoboticCallees companyVoiceRoboticCallees);

    /**
     * 新增任务外呼电话
     * 
     * @param companyVoiceRoboticCallees 任务外呼电话
     * @return 结果
     */
    public int insertCompanyVoiceRoboticCallees(CompanyVoiceRoboticCallees companyVoiceRoboticCallees);

    /**
     * 修改任务外呼电话
     * 
     * @param companyVoiceRoboticCallees 任务外呼电话
     * @return 结果
     */
    public int updateCompanyVoiceRoboticCallees(CompanyVoiceRoboticCallees companyVoiceRoboticCallees);

    /**
     * 批量删除任务外呼电话
     * 
     * @param ids 需要删除的任务外呼电话ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticCalleesByIds(Long[] ids);

    /**
     * 删除任务外呼电话信息
     * 
     * @param id 任务外呼电话ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticCalleesById(Long id);

    List<CompanyVoiceRoboticCallees> selectCompanyVoiceRoboticCalleesListByRoboticId(Long id);
}
