package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业账户记录对象 company_money_logs
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyVO implements Serializable
{
    /** ID */
    private Long companyId;

    /** 企业名 */
    @Excel(name = "企业名")
    private String companyName;

    /** 联系电话 */
    private String companyMobile;

    /** 地址 */
//    private String companyAddress;

    /** 状态 */
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date limitTime;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal money;
    @Excel(name = "佣金")
    private BigDecimal tuiMoney;


    /** 呼叫接口ID */
    private Long voiceApiId;

    private String voiceApiName;

    private Integer companyType;

    private Long userId;

    private String appId;

    private String appKey;

    private String userName;

    private String remark;

    private String linkName;

    private Integer limitUserCount;

    private Integer voiceCallerNumber;
    private Integer redPackageMoney;




}
