package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 题库对象 fs_course_question_bank
 *
 * @author fs
 * @date 2024-09-07
 */
@Data
public class FsCourseQuestionBank extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 问题 */
    @Excel(name = "标题")
    private String title;

    private Long questionType;
    @Excel(name = "问题类别")
    private String questionTypeStr;

    /** 类别1 单选 2 多选  */

    private Long type;
    @Excel(name = "题目类型: 单选 多选")
    private String typeStr;

    /** 状态 */
//    @Excel(name = "状态")
    private Long status;

    /** 选项 */

    private String question;
    /**
     * 多个用分隔符|
     */
    @Excel(name = "选项: 多个用 | 隔开")
    private String questionOption;

    /** 答案 */
    private String answer;

    /**
     * 答案: 多个用 | 隔开
     */
    @Excel(name = "答案: 多个用 | 隔开")
    private String answerOption;

    private Long questionSubType;

    @Excel(name = "题目子类别")
    private String questionSubTypeStr;

    /** 排序 */
    @Excel(name = "序号")
    private Long sort;
}
