package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("fs_video_resource")
public class FsVideoResource {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     * 分类ID
     */
    private Long typeId;

    /**
     * 子分类ID
     */
    private Long typeSubId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 缩略图
     */
    private String thumbnail;

    /**
     * 视频URL
     */
    private String videoUrl;

    /**
     * 线路1
     */
    private String line1;

    /**
     * 线路2
     */
    private String line2;

    /**
     * 线路3
     */
    private String line3;

    /**
     * 时长
     */
    private Integer duration;
    /**
     * 文件大小
     */
    private Long fileSize;

    /**
     * 文件key
     */
    private String fileKey;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 是否已删除 0未删除 1已删除
     */
    private Integer isDel;

    /**
     * 课程ID
     */
    private String projectIds;
}
