package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 短链课程看课记录对象 fs_course_watch_log
 *
 * @author fs
 * @date 2024-10-24
 */
@Data
public class FsCourseWatchLogListVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "记录编号")
    private Long logId;

    private Long userId;

    @Excel(name = "会员名称")
    private String userName;

    @Excel(name = "小程序昵称")
    private String fsNickName;

    @Excel(name = "小程序头像")
    private String fsAvatar;
    /**
     * 项目
     */
    private Integer project;
    @Excel(name = "项目名称")
    private String projectName;

    @Excel(name = "课程名称")
    private String courseName;

    @Excel(name = "小节名称")
    private String videoName;

    @Excel(name = "记录类型" ,dictType = "sys_course_watch_log_type")
    private Integer logType;

    @Excel(name = "企微外部联系人id")
    private Long qwExternalContactId;


    @Excel(name = "播放时长")
    private String duration;


    @Excel(name = "分享人企微userId")
    private String qwUserId;
    /**
     * 企业微信员工名称
     */
    @Excel(name = "企业微信员工名称")
    private String qwUserName;

    @Excel(name = "所属销售")
    private String companyUserName;

    @Excel(name = "所属团队")
    private String companyName;

    @Excel(name = "所属团队编号")
    private String companyId;


    @Excel(name = "发送方式")
    private Integer sendType; //归属发送方式：1 个微  2 企微


    /** 创建时间 */
    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "更新时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @Excel(name = "最后心跳时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastHeartbeatTime;

    @Excel(name = "完课时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    @Excel(name = "营期时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date campPeriodTime;

    @Excel(name = "外部联系人名称")
    private String externalUserName; //外部联系人名称

    private Long companyUserId;
    private Long courseId;
    private Long videoId;

}
