package com.fs.sop.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 公司SOP权限对象 company_sop_role
 *
 * @author fs
 * @date 2025-04-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CompanySopRole extends BaseEntity{

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 销售公司 */
    @Excel(name = "销售公司")
    private Long companyId;

    /** 权限名称 */
    @Excel(name = "权限名称")
    private String roleName;

    /** 权限值 */
    @Excel(name = "权限值")
    private String roleValue;


    @TableField(exist = false)
    private List<String> rules;
    @TableField(exist = false)
    private List<Long> companyIds;



}
