package com.fs.statis.service.impl;

import com.fs.statis.domain.FsStatisEveryDayWatch;
import com.fs.statis.domain.FsStatisSalerWatch;
import com.fs.statis.dto.StatsWatchLogPageListDTO;
import com.fs.statis.mapper.FsStatisEveryDayWatchMapper;
import com.fs.statis.service.FsStatisEveryDayWatchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional; // 引入事务注解

import java.util.Collections;
import java.util.List;

/**
 * 每日统计数据服务实现类
 */
@Service
public class FsStatisEveryDayWatchServiceImpl implements FsStatisEveryDayWatchService {

    private final FsStatisEveryDayWatchMapper fsStatisEveryDayWatchMapper;

    /**
     * 通过构造函数注入Mapper
     * @param fsStatisEveryDayWatchMapper 每日统计数据Mapper
     */
    @Autowired
    public FsStatisEveryDayWatchServiceImpl(FsStatisEveryDayWatchMapper fsStatisEveryDayWatchMapper) {
        this.fsStatisEveryDayWatchMapper = fsStatisEveryDayWatchMapper;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public FsStatisEveryDayWatch findById(Integer id) {
        return fsStatisEveryDayWatchMapper.findById(id);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    @Transactional
    public int create(FsStatisEveryDayWatch fsStatisEveryDayWatch) {
        return fsStatisEveryDayWatchMapper.insert(fsStatisEveryDayWatch);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    @Transactional
    public int update(FsStatisEveryDayWatch fsStatisEveryDayWatch) {
        return fsStatisEveryDayWatchMapper.update(fsStatisEveryDayWatch);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public List<FsStatisEveryDayWatch> findAll() {
        return fsStatisEveryDayWatchMapper.findAll();
    }

    @Override
    public List<FsStatisSalerWatch> queryList(StatsWatchLogPageListDTO param) {
        return fsStatisEveryDayWatchMapper.queryList(param);
    }

}
