package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 城市对象 fs_city
 *
 * @author fs
 * @date 2023-06-02
 */
public class FsCity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 地址编码 */
    @Excel(name = "地址编码")
    private String cityId;

    /** 地区名称 */
    @Excel(name = "地区名称")
    private String cityName;

    /** 地区全称 */
    @Excel(name = "地区全称")
    private String citySname;

    /** 上级编码 */
    @Excel(name = "上级编码")
    private String parentId;

    /** 首字母 */
    @Excel(name = "首字母")
    private String spell;

    /** 类型：1是省会，2直辖市,3港澳台,4其它 */
    @Excel(name = "类型：1是省会，2直辖市,3港澳台,4其它")
    private Integer cityType;

    /** 同级下排序 */
    @Excel(name = "同级下排序")
    private Integer sort;

    /** 0全国、1省、2市区、3郊县、4街道、5居委会 */
    @Excel(name = "0全国、1省、2市区、3郊县、4街道、5居委会")
    private Integer level;

    /** 经度 */
    @Excel(name = "经度")
    private String lng;

    /** 纬度 */
    @Excel(name = "纬度")
    private String lat;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCityId(String cityId)
    {
        this.cityId = cityId;
    }

    public String getCityId()
    {
        return cityId;
    }
    public void setCityName(String cityName)
    {
        this.cityName = cityName;
    }

    public String getCityName()
    {
        return cityName;
    }
    public void setCitySname(String citySname)
    {
        this.citySname = citySname;
    }

    public String getCitySname()
    {
        return citySname;
    }
    public void setParentId(String parentId)
    {
        this.parentId = parentId;
    }

    public String getParentId()
    {
        return parentId;
    }
    public void setSpell(String spell)
    {
        this.spell = spell;
    }

    public String getSpell()
    {
        return spell;
    }
    public void setCityType(Integer cityType)
    {
        this.cityType = cityType;
    }

    public Integer getCityType()
    {
        return cityType;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setLevel(Integer level)
    {
        this.level = level;
    }

    public Integer getLevel()
    {
        return level;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("cityId", getCityId())
                .append("cityName", getCityName())
                .append("citySname", getCitySname())
                .append("parentId", getParentId())
                .append("spell", getSpell())
                .append("cityType", getCityType())
                .append("sort", getSort())
                .append("level", getLevel())
                .append("lng", getLng())
                .append("lat", getLat())
                .toString();
    }
}
