package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsStoreProductPackage;
import com.fs.store.param.FsStoreProductPackageQueryParam;
import com.fs.store.vo.FsStoreProductPacketVO;
import org.apache.ibatis.annotations.Param;

/**
 * 商品组合套餐Service接口
 *
 * @author fs
 * @date 2022-07-14
 */
public interface IFsStoreProductPackageService
{
    /**
     * 查询商品组合套餐
     *
     * @param packageId 商品组合套餐ID
     * @return 商品组合套餐
     */
    public FsStoreProductPackage selectFsStoreProductPackageById(Long packageId);

    /**
     * 查询商品组合套餐列表
     *
     * @param fsStoreProductPackage 商品组合套餐
     * @return 商品组合套餐集合
     */
    public List<FsStoreProductPackage> selectFsStoreProductPackageList(FsStoreProductPackage fsStoreProductPackage);

    /**
     * 新增商品组合套餐
     *
     * @param fsStoreProductPackage 商品组合套餐
     * @return 结果
     */
    public int insertFsStoreProductPackage(FsStoreProductPackage fsStoreProductPackage);

    /**
     * 修改商品组合套餐
     *
     * @param fsStoreProductPackage 商品组合套餐
     * @return 结果
     */
    public int updateFsStoreProductPackage(FsStoreProductPackage fsStoreProductPackage);

    /**
     * 批量删除商品组合套餐
     *
     * @param packageIds 需要删除的商品组合套餐ID
     * @return 结果
     */
    public int deleteFsStoreProductPackageByIds(Long[] packageIds);

    /**
     * 删除商品组合套餐信息
     *
     * @param packageId 商品组合套餐ID
     * @return 结果
     */
    public int deleteFsStoreProductPackageById(Long packageId);

    List<FsStoreProductPacketVO> selectFsStoreProductPackageListVO(FsStoreProductPackage fsStoreProductPackage);

    List<FsStoreProductPacketVO> selectFsStoreProductPackageListQueryVO(FsStoreProductPackageQueryParam param);

    /**
     * 批量修改商品组合套餐
     *
     * @param packageIds 需要修改的数据ID
     * @return 结果
     */
    public int updateFsStoreProductPackages(Long[] orderIds,Long status,Long companyId);

}
