package com.fs.store.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.store.domain.FsUserCompanyUser;

/**
 * 微信用户和销售关系Service接口
 * 
 * @author fs
 * @date 2025-05-09
 */
public interface IFsUserCompanyUserService extends IService<FsUserCompanyUser>{
    /**
     * 查询微信用户和销售关系
     * 
     * @param id 微信用户和销售关系主键
     * @return 微信用户和销售关系
     */
    FsUserCompanyUser selectFsUserCompanyUserById(Long id);

    /**
     * 查询微信用户和销售关系列表
     * 
     * @param fsUserCompanyUser 微信用户和销售关系
     * @return 微信用户和销售关系集合
     */
    List<FsUserCompanyUser> selectFsUserCompanyUserList(FsUserCompanyUser fsUserCompanyUser);

    /**
     * 新增微信用户和销售关系
     * 
     * @param fsUserCompanyUser 微信用户和销售关系
     * @return 结果
     */
    int insertFsUserCompanyUser(FsUserCompanyUser fsUserCompanyUser);

    /**
     * 修改微信用户和销售关系
     * 
     * @param fsUserCompanyUser 微信用户和销售关系
     * @return 结果
     */
    int updateFsUserCompanyUser(FsUserCompanyUser fsUserCompanyUser);

    /**
     * 批量删除微信用户和销售关系
     * 
     * @param ids 需要删除的微信用户和销售关系主键集合
     * @return 结果
     */
    int deleteFsUserCompanyUserByIds(Long[] ids);

    /**
     * 删除微信用户和销售关系信息
     * 
     * @param id 微信用户和销售关系主键
     * @return 结果
     */
    int deleteFsUserCompanyUserById(Long id);
}
