package com.fs.store.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
@Data
/**
 * 商品对象 fs_store_product
 *
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreProductListVO  implements Serializable
{

    /** 商品id */
    private Long productId;

    /** 商品图片 */
    private String image;

    /** 轮播图 */
    private String sliderImage;

    /** 商品名称 */
    private String productName;

    /** 商品简介 */
    private String productInfo;

    /** 关键字 */
    private String keyword;

    /** 产品条码（一维码） */
    private String barCode;

    /** 分类id */
    private Long cateId;

    /** 商品价格 */
    private BigDecimal price;

    /** 会员价格 */
    private BigDecimal vipPrice;

    /** 市场价 */
    private BigDecimal otPrice;

    /** 邮费 */
    private BigDecimal postage;

    /** 单位名 */
    private String unitName;

    /** 排序 */
    private Long sort;

    /** 销量 */
    private Long sales;

    /** 库存 */
    private Long stock;

    /** 状态（0：未上架，1：上架） */
    private Integer isShow;

    private Integer productType;

    private String cateName;

    /**
     * 公司列表
     */
    private String companyIds;

    /**
     * 所属公司
     */
    private String companyName;
}
